Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::Codec::InvalidTypeForEncoding Exception Reference

`#include <IOPC.h>`

List of all members.

## Public Methods
| InvalidTypeForEncoding (void)
| InvalidTypeForEncoding (const InvalidTypeForEncoding &)
| ~InvalidTypeForEncoding (void)
InvalidTypeForEncoding & | operator= (const InvalidTypeForEncoding &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_NOT_USED)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
InvalidTypeForEncoding * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

IOP::Codec::InvalidTypeForEncoding::InvalidTypeForEncoding | ( | void |  | ) |

IOP::Codec::InvalidTypeForEncoding::InvalidTypeForEncoding | ( | const InvalidTypeForEncoding & |  | ) |

IOP::Codec::InvalidTypeForEncoding::~InvalidTypeForEncoding | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception* IOP::Codec::InvalidTypeForEncoding::_alloc | ( | void |  | ) | `[static]`

InvalidTypeForEncoding* IOP::Codec::InvalidTypeForEncoding::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

virtual void IOP::Codec::InvalidTypeForEncoding::_raise | ( | void |  | ) | `[virtual]`

void IOP::Codec::InvalidTypeForEncoding::_tao_any_destructor | ( | void * |  | ) | `[static]`

virtual void IOP::Codec::InvalidTypeForEncoding::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

virtual CORBA::Exception* IOP::Codec::InvalidTypeForEncoding::_tao_duplicate | ( | void |  | ) | const`[virtual]`

virtual void IOP::Codec::InvalidTypeForEncoding::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

CORBA::TypeCode_ptr IOP::Codec::InvalidTypeForEncoding::_type | ( | void |  | ) | const`[virtual]`

InvalidTypeForEncoding& IOP::Codec::InvalidTypeForEncoding::operator= | ( | const InvalidTypeForEncoding & |  | ) |

The documentation for this exception was generated from the following files:

- IOP.pidl
- IOPC.h
- IOPC.cpp